/*
 *  Copyright 2012-2014 by Texas Instruments Incorporated.
 *
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 */

var devType = "k2h";

/* Load and use the various BIOS modules. */
var BIOS    = xdc.useModule('ti.sysbios.BIOS');
var Task    = xdc.useModule('ti.sysbios.knl.Task');

/* Load and use the CSL package */
var Csl = xdc.useModule('ti.csl.Settings');
Csl.deviceType = devType;

/* Load and use LLDs */
var Cppi = xdc.loadPackage('ti.drv.cppi'); 
var Aif2 = xdc.loadPackage('ti.drv.aif2');

/* Load and use the Fault Management package */
var Fault_mgmt = xdc.useModule('ti.instrumentation.fault_mgmt.Settings')
Fault_mgmt.deviceType = devType;

/* Enable BIOS Task Scheduler */
BIOS.taskEnabled			=   true;

/*
 * The SysMin used here vs StdMin, as trace buffer address is required for
 * Linux trace debug driver, plus provides better performance.
 */
Program.global.sysMinBufSize = 0x8000;
var System = xdc.useModule('xdc.runtime.System');
var SysMin = xdc.useModule('xdc.runtime.SysMin');
System.SupportProxy = SysMin;
SysMin.bufSize = Program.global.sysMinBufSize;

/* Load the Exception and register a exception hook */
var Exception = xdc.useModule('ti.sysbios.family.c64p.Exception');
Exception.exceptionHook = '&myExceptionHook';
Exception.enablePrint = true;

/* Add note section for coredump */
Program.sectMap[".note"] = new Program.SectionSpec();
Program.sectMap[".note"] = Program.platform.dataMemory;
Program.sectMap[".note"].loadAlign = 128;

/* Configure resource table for trace only.
   Note that, traceOnly parameter should not
   be set if application is using MessageQ based IPC
   to communicate between cores
 */
var Resource = xdc.useModule('ti.ipc.remoteproc.Resource');
/* Make sure RemoteProc's .resource_table doesn't conflict with secure
 * kernel when on secure board.  Secure kernel is located from
 * 0x00800000 - 0x00810000 */
Resource.loadAddr = 0x00810000;
Resource.loadSegment = Program.platform.dataMemory;

/* Memory map */
Program.sectMap[".cppi"] = "L2SRAM";
